Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
ClpPrimalColumnDantzig Class Reference

Primal Column Pivot Dantzig Algorithm Class. More...

`#include <ClpPrimalColumnDantzig.hpp>`

Inheritance diagram for ClpPrimalColumnDantzig:
[legend]
Collaboration diagram for ClpPrimalColumnDantzig:
[legend]

## Public Member Functions
Algorithmic methods
virtual int | pivotColumn (CoinIndexedVector *updates, CoinIndexedVector *spareRow1, CoinIndexedVector *spareRow2, CoinIndexedVector *spareColumn1, CoinIndexedVector *spareColumn2)
| Returns pivot column, -1 if none. More...
virtual void | saveWeights (ClpSimplex *model, int)
| Just sets model. More...
Constructors and destructors
| ClpPrimalColumnDantzig ()
| Default Constructor. More...
| ClpPrimalColumnDantzig (const ClpPrimalColumnDantzig &)
| Copy constructor. More...
ClpPrimalColumnDantzig & | operator= (const ClpPrimalColumnDantzig &rhs)
| Assignment operator. More...
virtual | ~ClpPrimalColumnDantzig ()
| Destructor. More...
virtual ClpPrimalColumnPivot * | clone (bool copyData=true) const
| Clone. More...
Public Member Functions inherited from ClpPrimalColumnPivot
virtual void | updateWeights (CoinIndexedVector *input)
| Updates weights - part 1 (may be empty) More...
virtual int | pivotRow (double &way)
| Signals pivot row choice: -2 (default) - use normal pivot row choice -1 to numberRows-1 - use this (will be checked) way should be -1 to go to lower bound, +1 to upper bound. More...
virtual void | clearArrays ()
| Gets rid of all arrays (may be empty) More...
virtual bool | looksOptimal () const
| Returns true if would not find any column. More...
virtual void | setLooksOptimal (bool flag)
| Sets optimality flag (for advanced use) More...
| ClpPrimalColumnPivot ()
| Default Constructor. More...
| ClpPrimalColumnPivot (const ClpPrimalColumnPivot &)
| Copy constructor. More...
ClpPrimalColumnPivot & | operator= (const ClpPrimalColumnPivot &rhs)
| Assignment operator. More...
virtual | ~ClpPrimalColumnPivot ()
| Destructor. More...
ClpSimplex * | model ()
| Returns model. More...
void | setModel (ClpSimplex *newmodel)
| Sets model. More...
int | type ()
| Returns type (above 63 is extra information) More...
virtual int | numberSprintColumns (int &numberIterations) const
| Returns number of extra columns for sprint algorithm - 0 means off. More...
virtual void | switchOffSprint ()
| Switch off sprint idea. More...
virtual void | maximumPivotsChanged ()
| Called when maximum pivots changes. More...

## Additional Inherited Members
Protected Attributes inherited from ClpPrimalColumnPivot
ClpSimplex * | model_
| Pointer to model. More...
int | type_
| Type of column pivot algorithm. More...
bool | looksOptimal_
| Says if looks optimal (normally computed) More...

## Detailed Description

Primal Column Pivot Dantzig Algorithm Class.

This is simplest choice - choose largest infeasibility

Definition at line 19 of file ClpPrimalColumnDantzig.hpp.

## Constructor & Destructor Documentation

ClpPrimalColumnDantzig::ClpPrimalColumnDantzig | ( |  | ) |

Default Constructor.

ClpPrimalColumnDantzig::ClpPrimalColumnDantzig | ( | const ClpPrimalColumnDantzig & |  | ) |

Copy constructor.

virtual ClpPrimalColumnDantzig::~ClpPrimalColumnDantzig | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

virtual int ClpPrimalColumnDantzig::pivotColumn | ( | CoinIndexedVector * | updates,
|  | CoinIndexedVector * | spareRow1,
|  | CoinIndexedVector * | spareRow2,
|  | CoinIndexedVector * | spareColumn1,
|  | CoinIndexedVector * | spareColumn2
| ) |  |
| virtual

Returns pivot column, -1 if none.

Lumbers over all columns - slow The Packed CoinIndexedVector updates has cost updates - for normal LP that is just +-weight where a feasibility changed. It also has reduced cost from last iteration in pivot row Can just do full price if you really want to be slow

Implements ClpPrimalColumnPivot.

Reimplemented in ClpPEPrimalColumnDantzig.

virtual void ClpPrimalColumnDantzig::saveWeights | ( | ClpSimplex * | model,
|  | int |
| ) |  |
| inline virtual

Just sets model.

Implements ClpPrimalColumnPivot.

Reimplemented in ClpPEPrimalColumnDantzig.

Definition at line 39 of file ClpPrimalColumnDantzig.hpp.

ClpPrimalColumnDantzig& ClpPrimalColumnDantzig::operator= | ( | const ClpPrimalColumnDantzig & | rhs | ) |

Assignment operator.

virtual ClpPrimalColumnPivot* ClpPrimalColumnDantzig::clone | ( | bool | copyData = `true` | ) | const
| virtual

Clone.

Implements ClpPrimalColumnPivot.

Reimplemented in ClpPEPrimalColumnDantzig.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Clp/src/ClpPrimalColumnDantzig.hpp